# Class AddPokeballModifier

#### Hierarchy (view full)

- ConsumableModifier
  - AddPokeballModifier

- Defined in src/modifier/modifier.ts:243

#####
Index

### Constructors

constructor

### Properties

count
pokeballType
type

### Methods

add
apply
match
shouldApply

## Constructors

### constructor

- new AddPokeballModifier(type, pokeballType, count): AddPokeballModifier

- #### Parameters

  - type: ModifierType
  - pokeballType: PokeballType
  - count: number

  #### Returns AddPokeballModifier

  Overrides ConsumableModifier.constructor

  - Defined in src/modifier/modifier.ts:247

## Properties

### `Private` count

count: number

- Defined in src/modifier/modifier.ts:245

### `Private` pokeballType

pokeballType: PokeballType

- Defined in src/modifier/modifier.ts:244

### type

type: ModifierType

Inherited from ConsumableModifier.type

- Defined in src/modifier/modifier.ts:121

## Methods

### add

- add(_modifiers): boolean

- #### Parameters

  - _modifiers: Modifier []

  #### Returns boolean

  Inherited from ConsumableModifier.add

  - Defined in src/modifier/modifier.ts:234

### apply

- apply(args): boolean

- #### Parameters

  - args: any[]

  #### Returns boolean

  Overrides ConsumableModifier.apply

  - Defined in src/modifier/modifier.ts:254

### match

- match(_modifier): boolean

- #### Parameters

  - _modifier: Modifier

  #### Returns boolean

  Inherited from ConsumableModifier.match

  - Defined in src/modifier/modifier.ts:127

### shouldApply

- shouldApply(args): boolean

- #### Parameters

  - args: any[]

  #### Returns boolean

  Inherited from ConsumableModifier.shouldApply

  - Defined in src/modifier/modifier.ts:238